{%extends 'base.html'%}
{%block content%}
    <form method="POST">
        {%csrf_token%}
        {{form.as_p}}
        <button class="btn btn-primary" type="submit">Login</button>
    </form>
    <p>If you don't have an account please <a href="{%url 'my_app:register' %}">register</a>.</p>
    {% if messages %}
    <ul class="messages">
        {% for message in messages %}
        <li {% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
        {% endfor %}
    </ul>
    {% endif %}
{%endblock%}